| hscolour | Source code | Contents | Index

Language.Haskell.HsColour.ANSI

Description
Partially taken from Hugs AnsiScreen.hs library:
Synopsis

highlight :: [Highlight] -> String -> String
cls :: String
goto :: Int -> Int -> String

data Highlight

= Normal
| Bold
| Dim
| Underscore
| Blink
| ReverseVideo
| Concealed
| Foreground Colour
| Background Colour

data Colour

= Black
| Red
| Green
| Yellow
| Blue
| Magenta
| Cyan
| White

colourCycle :: [Colour]
enableScrollRegion :: Int -> Int -> String

Documentation

highlight :: [Highlight] -> String -> String | Source

Make the given string appear with all of the listed highlights

cls :: String | Source

Clear the screen.

goto :: Int -> Int -> String | Source

Move the screen cursor to the given position.

data Highlight | Source

Types of highlighting supported by ANSI codes.
Constructors

Normal |
Bold |
Dim |
Underscore |
Blink |
ReverseVideo |
Concealed |
Foreground Colour |
Background Colour |

Instances

Enum Highlight
Eq Highlight
Read Highlight
Show Highlight

data Colour | Source

Colours supported by ANSI codes.
Constructors

Black |
Red |
Green |
Yellow |
Blue |
Magenta |
Cyan |
White |

Instances

Enum Colour
Eq Colour
Read Colour
Show Colour

colourCycle :: [Colour] | Source

An infinite supply of colours.

enableScrollRegion :: Int -> Int -> String | Source

Scrolling
Produced by Haddock version 0.8